View a markdown version of this page

ListConnectorScanConfigurations - Inspector

ListConnectorScanConfigurations

Lists scan configurations for AWS Config connectors. Results are paginated. Use the nextToken parameter to retrieve the next page of results.

Request Syntax

POST /connectorscanconfigurations/list HTTP/1.1 Content-type: application/json { "awsConfigConnectorArns": [ "string" ], "maxResults": number, "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

awsConfigConnectorArns

The list of AWS Config connector ARNs to filter results.

Type: Array of strings

Array Members: Minimum number of 1 item. Maximum number of 10 items.

Length Constraints: Minimum length of 1. Maximum length of 512.

Pattern: arn:([^:]+):config:([^:]+):([^:]+):connector/([^/]+)/([^/]+)/([^/:\s]+)

Required: No

maxResults

The maximum number of results to return in a single call. Valid range is 1 to 50. To retrieve the remaining results, make another request with the nextToken value returned from this request.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 50.

Required: No

nextToken

A token to use for paginating results. Set this value to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "scanConfigurations": [ { "awsConfigConnectorArn": "string", "connectorArns": [ "string" ], "scanConfiguration": { "containerImageScanning": { "pullDuration": "string", "pushDuration": "string" } } } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

A pagination token. If this value is not null, there are additional results available. Use this token in the nextToken parameter of a subsequent request to retrieve the next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

scanConfigurations

A list of scan configuration items.

Type: Array of ConnectorScanConfigurationItem objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

For Enable, you receive this error if you attempt to use a feature in an unsupported AWS Region.

HTTP Status Code: 403

InternalServerException

The request has failed due to an internal failure of the Amazon Inspector service.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 500

ThrottlingException

The limit on the number of requests per second was exceeded.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 429

ValidationException

The request has failed validation due to missing required fields or having invalid inputs.

fields

The fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: